import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import React from 'react';
import { Provider } from 'react-redux';

import { store } from '@graphpolaris/shared/lib/data-access/store';
import App from './app/App';
import { createRoot } from 'react-dom/client';
import './main.css';

(window as any).global = window;
const domNode = document.getElementById('root');

if (domNode) {
  const root = createRoot(domNode);
  root.render(
    <Provider store={store}>
      <Router>
        <Routes>
          {/* App */}
          <Route path="/" element={<App load={undefined} />}></Route>
          <Route path="/fraud" element={<App load="5bdf3354-673f-4dec-b6a0-196e67cd211c" />}></Route>
        </Routes>
      </Router>
    </Provider>,
  );
}
